import { world, Player, Entity, EntityDamageCause, ItemStack,ItemEnchantableComponent,  system, Dimension } from "@minecraft/server";

world.afterEvents.entityDie.subscribe(dh => {
    const source = dh.damageSource.cause;

    if((source !== EntityDamageCause.ramAttack) && (source !== EntityDamageCause.flyIntoWall)) return;

    const deadEntity = dh.deadEntity;

    if(deadEntity.typeId != "minecraft:player") return;

    const pTag = deadEntity.getTags();

    if( !pTag.includes("origins:selected_extra_goat_origin")) return;

    let rand = Math.ceil(Math.random()*100); 

    if((rand >= 37 && rand <= 43) || (source == EntityDamageCause.ramAttack))
    {
        deadEntity.sendMessage("§d It seems like you dropped one of your horns");
        const dim = world.getDimension(deadEntity.dimension.id);
        const h = new ItemStack("minecraft:goat_horn");
        h.setLore(["§s"+deadEntity.nameTag+"'s horn§f"]);
        dim.spawnItem(h, deadEntity.location);
    }

});

