import { world } from "@minecraft/server";

world.afterEvents.playerInteractWithEntity.subscribe(ei =>{
    const player = ei.player;
    const entity = ei.target;

    if( (player.hasTag("origins:power_extra_inventory_5slots") || player.hasTag("origins:power_extra_inventory_9slots")) && entity.typeId == "origins:extra_inventory")
    {
        player.playSound("mob.shulker.open",entity.location);
    }
});

world.afterEvents.entityHurt.subscribe(sq =>{

    const player = sq.hurtEntity;

    if(player.typeId == "minecraft:player" && player.hasTag('origins:selected_extra_fox_origin'))
    {
        world.playSound("mob.fox.hurt_squeak",player.location,{"volume":0.45})
    }
});