import { world, Player, Entity, EntityDamageCause, ItemStack,ItemEnchantableComponent,  system, Dimension } from "@minecraft/server";

world.afterEvents.entityDie.subscribe( rl => {
    const deadEntity = rl.deadEntity;
    
    if(!(deadEntity.typeId == "minecraft:player" && deadEntity.hasTag( "origins:selected_extra_rabbit_origin" ))) return;

    const source = rl.damageSource.damagingEntity;
    //console.warn(source.nameTag);

    if(source)
    {
        //console.warn(source.nameTag);
        if(source.typeId == "minecraft:player")
        {
            const item = source.getComponent("inventory").container.getItem(source.selectedSlotIndex);
            if(item && item.nameTag && item.nameTag.length == 12)
            {
                console.warn(item.nameTag);
                drop(deadEntity);
                
            } 
        }
        else if( source.nameTag.length == 12)
        {
            drop(deadEntity);
        }
                
    }     
});

function drop(deadEntity)
{
    let ran = Math.ceil(Math.random()*100);

    if(ran >= 1 && ran <= 12)
    {
        const dim = world.getDimension(deadEntity.dimension.id);
        var i= "";
        if( ran%2 == 0)  { i = "foot"; }
        else {  i = "hide"; }
        const h = new ItemStack(`minecraft:rabbit_${i}`);
        deadEntity.sendMessage(`§d It seems like you dropped your ${i}`);
        h.setLore(["§s"+deadEntity.nameTag+`'s ${i} §f`]);
        dim.spawnItem(h, deadEntity.location);
    }
}

