import {
  world,
  ItemStack,
  system
} from "@minecraft/server";

const weapons =
[
  "minecraft:wooden_sword",
  "minecraft:iron_sword",
  "minecraft:golden_sword",
  "minecraft:diamond_sword",
  "minecraft:netherite_sword",
  "minecraft:wooden_axe",
  "minecraft:stone_axe",
  "minecraft:iron_axe",
  "minecraft:golden_axe",
  "minecraft:diamond_axe",
  "minecraft:netherite_axe",
  "minecraft:wooden_pickaxe",
  "minecraft:stone_pickaxe",
  "minecraft:iron_pickaxe",
  "minecraft:golden_pickaxe",
  "minecraft:diamond_pickaxe",
  "minecraft:netherite_pickaxe",
  "minecraft:wooden_shovel",
  "minecraft:stone_shovel",
  "minecraft:iron_shovel",
  "minecraft:golden_shovel",
  "minecraft:diamond_shovel",
  "minecraft:netherite_shovel",
  "minecraft:wooden_hoe",
  "minecraft:stone_hoe",
  "minecraft:iron_hoe",
  "minecraft:golden_hoe",
  "minecraft:diamond_hoe",
  "minecraft:netherite_hoe",
  "minecraft:trident",
  "minecraft:mace"
]

system.runInterval(() => {
  for (const player of world.getPlayers({tags: ["origins:beetle_horn"]})) {

    const equipment = player.getComponent('equippable');
    const container = player.getComponent('inventory').container;
    const slot = player.selectedSlotIndex;
    const item = container.getItem(slot); 
    if( item==null || item.typeId == "minecraft:stone_sword")
    {
      player.triggerEvent("origins:attack_damage_1");
    }
    else
    {
      player.triggerEvent("origins:no_attack_damage");
    }
  }
}, 2)