import {
  world,
  EntityDamageCause
} from "@minecraft/server";

world.afterEvents.entityHurt.subscribe((event) => {
  const hurtEntity = event.hurtEntity;
  const cause = event.damageSource.cause;

  if ( !hurtEntity.hasTag('origins:shut_down')) {
    return;
  }
  if (cause != "starve") return;
  hurtEntity.addEffect('slowness', 111, {amplifier: 1});
  hurtEntity.addEffect('blindness', 111, {amplifier: 0});
}, {entityTypes : ["minecraft:player"]});