import { world } from "@minecraft/server";

world.beforeEvents.playerInteractWithBlock.subscribe((sy) => {

  const player = sy.player;
  const block = sy.block;
  const loc = player.location;

  for(let tag of player.getTags())
  {
    if((!tag.includes("origins:can_sleep_at_y_") && !tag.includes("origins:can_sleep_on_block_")) || block.typeId != "minecraft:bed") continue;

    if(tag.includes("_or_above"))
    {
      let sleep_tag = tag;
      sleep_tag = sleep_tag.replace("origins:can_sleep_at_y_","");
      sleep_tag = sleep_tag.replace("_or_above","");
      if(block.location.y < parseInt(sleep_tag)) {
        player.sendMessage(`§7You can only sleep at ${parseInt(sleep_tag)} blocks or above`);
        sy.cancel = true; 
      }
    }
    else if(tag.includes("_or_below"))
    {
      let sleep_tag = tag;
      sleep_tag = sleep_tag.replace("origins:can_sleep_at_y_","");
      sleep_tag = sleep_tag.replace("_or_below","");
      if(block.location.y > parseInt(sleep_tag)) {
        player.sendMessage(`§7You can only sleep at ${parseInt(sleep_tag)} blocks or below`);
        sy.cancel = true; 
      }

    }
    else if(tag.includes("_on_block_"))
    {
      let sleep_tag = tag;
      sleep_tag = sleep_tag.replace("origins:can_sleep_on_block_","");
      sleep_tag = 'minecraft:' + sleep_tag
     
      let sleep_display = sleep_tag.replace("_"," ");
      sleep_display = sleep_display.replace(`${sleep_tag.split(':')[0]}:`, '');
      let sleep_array = sleep_display.split("_")
      sleep_display = "";
      for (let word of sleep_array) {
        word = word.charAt(0).toUpperCase() + word.slice(1);
        sleep_display = sleep_display + word;
      }

      if(player.dimension.getBlock({x: loc.x, y: loc.y-0.2, z: loc.z}).typeId !== sleep_tag) {
        player.sendMessage(`§7You can only sleep when stood on ${sleep_display}`);
        sy.cancel = true; 
      }

    }
  }

})
