import { world, Player, Entity, ItemStack, EquipmentSlot, EntityComponent, system } from "@minecraft/server";

// When someone right-clicks a paper named "view_origin" (case insensitive)
world.afterEvents.itemUse.subscribe(vo => {
    const player = vo.source;
    const item = vo.itemStack;
    if(!player.hasTag("origins:selected_origin")) return;

    if(item.typeId === "minecraft:paper" && item.nameTag.toLowerCase() === "view_origin" )
    {
        let playerTags = player.getTags();

        if(!playerTags.includes("origins:selected_origin"))
        {
            player.sendMessage("No Origin Selected");
            return;
        }

        for(let tag in playerTags)
        {    //console.warn(playerTags[tag]);
            if( playerTags[tag]==="origins:selected_origin" || !playerTags[tag].startsWith("origins:selected") || !playerTags[tag].endsWith("origin") ) continue;
            //console.warn("pass");
            playerTags[tag] = playerTags[tag].substring(16, playerTags[tag].length-6);
            //console.warn(playerTags[tag]);
            playerTags[tag] = "origins" + playerTags[tag] + "view";
            //console.warn(playerTags[tag]);
            player.runCommandAsync(`tp @e[type=origins:ui,c=1] ~ -63 ~`);
            player.runCommandAsync(`dialogue open @e[type=origins:ui,c=1] @s ${playerTags[tag]}`);
        }
    }
});


















































/* Fred likes bread
Fred likes red
Fred likes strangers dead */
// Please don't remove this - Maxolotl3050